Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.bind
Interface DatatypeConverterInterface

public interface DatatypeConverterInterface

The DatatypeConverterInterface is for JAXB provider use only. A JAXB provider must supply a class that implements this interface. JAXB Providers are required to call the `DatatypeConverter.setDatatypeConverter` api at some point before the first marshal or unmarshal operation (perhaps during the call to JAXBContext.newInstance). This step is necessary to configure the converter that should be used to perform the print and parse functionality. Calling this api repeatedly will have no effect - the DatatypeConverter instance passed into the first invocation is the one that will be used from then on.

This interface defines the parse and print methods. There is one parse and print method for each XML schema datatype specified in the the default binding Table 5-1 in the JAXB specification.

The parse and print methods defined here are invoked by the static parse and print methods defined in the `DatatypeConverter` class.

A parse method for a XML schema datatype must be capable of converting any lexical representation of the XML schema datatype ( specified by the XML Schema Part2: Datatypes specification into a value in the value space of the XML schema datatype. If an error is encountered during conversion, then a ParseConversionEvent must be generated.

A print method for a XML schema datatype can output any lexical representation that is valid with respect to the XML schema datatype. If an error is encountered during conversion, then a PrintConversionEvent must be generated.

The prefix xsd: is used to refer to XML schema datatypes XML Schema Part2: Datatypes specification.

Since:
  JAXB1.0
Version:
  $Revision: 1.1 $
Author:
  - Sekhar Vajjhala, Sun Microsystems, Inc.
  - Joe Fialli, Sun Microsystems Inc.
  - Kohsuke Kawaguchi, Sun Microsystems, Inc.
  - Ryan Shoemaker,Sun Microsystems Inc.
See Also:
  `DatatypeConverter`, `ParseConversionEvent`, `PrintConversionEvent`

Method Summary
`java.lang.String` | `parseAnySimpleType(java.lang.String lexicalXSDAnySimpleType)` Return a string containing the lexical representation of the simple type.
`byte[]` | `parseBase64Binary(java.lang.String lexicalXSDBase64Binary)` Converts the string argument into an array of bytes.
`boolean` | `parseBoolean(java.lang.String lexicalXSDBoolean)` Converts the string argument into a boolean value.
`byte` | `parseByte(java.lang.String lexicalXSDByte)` Converts the string argument into a byte value.
`java.util.Calendar` | `parseDate(java.lang.String lexicalXSDDate)` Converts the string argument into a Calendar value.
`java.util.Calendar` | `parseDateTime(java.lang.String lexicalXSDDateTime)` Converts the string argument into a Calendar value.
`java.math.BigDecimal` | `parseDecimal(java.lang.String lexicalXSDDecimal)` Converts the string argument into a BigDecimal value.
`double` | `parseDouble(java.lang.String lexicalXSDDouble)` Converts the string argument into a double value.
`float` | `parseFloat(java.lang.String lexicalXSDFloat)` Converts the string argument into a float value.
`byte[]` | `parseHexBinary(java.lang.String lexicalXSDHexBinary)` Converts the string argument into an array of bytes.
`int` | `parseInt(java.lang.String lexicalXSDInt)` Convert the string argument into an int value.
`java.math.BigInteger` | `parseInteger(java.lang.String lexicalXSDInteger)` Convert the string argument into a BigInteger value.
`long` | `parseLong(java.lang.String lexicalXSLong)` Converts the string argument into a long value.
`QName` | `parseQName(java.lang.String lexicalXSDQName, NamespaceContext nsc)` Converts the string argument into a QName value.
`short` | `parseShort(java.lang.String lexicalXSDShort)` Converts the string argument into a short value.
`java.lang.String` | `parseString(java.lang.String lexicalXSDString)` Convert the string argument into a string.
`java.util.Calendar` | `parseTime(java.lang.String lexicalXSDTime)` Converts the string argument into a Calendar value.
`long` | `parseUnsignedInt(java.lang.String lexicalXSDUnsignedInt)` Converts the string argument into a long value.
`int` | `parseUnsignedShort(java.lang.String lexicalXSDUnsignedShort)` Converts the string argument into an int value.
`java.lang.String` | `printAnySimpleType(java.lang.String val)` Converts a string value into a string.
`java.lang.String` | `printBase64Binary(byte[] val)` Converts an array of bytes into a string.
`java.lang.String` | `printBoolean(boolean val)` Converts a boolean value into a string.
`java.lang.String` | `printByte(byte val)` Converts a byte value into a string.
`java.lang.String` | `printDate(java.util.Calendar val)` Converts a Calendar value into a string.
`java.lang.String` | `printDateTime(java.util.Calendar val)` Converts a Calendar value into a string.
`java.lang.String` | `printDecimal(java.math.BigDecimal val)` Converts a BigDecimal value into a string.
`java.lang.String` | `printDouble(double val)` Converts a double value into a string.
`java.lang.String` | `printFloat(float val)` Converts a float value into a string.
`java.lang.String` | `printHexBinary(byte[] val)` Converts an array of bytes into a string.
`java.lang.String` | `printInt(int val)` Converts an int value into a string.
`java.lang.String` | `printInteger(java.math.BigInteger val)` Converts a BigInteger value into a string.
`java.lang.String` | `printLong(long val)` Converts a long value into a string.
`java.lang.String` | `printQName(QName val, NamespaceContext nsc)` Converts a QName instance into a string.
`java.lang.String` | `printShort(short val)` Converts a short value into a string.
`java.lang.String` | `printString(java.lang.String val)` Converts the string argument into a string.
`java.lang.String` | `printTime(java.util.Calendar val)` Converts a Calendar value into a string.
`java.lang.String` | `printUnsignedInt(long val)` Converts a long value into a string.
`java.lang.String` | `printUnsignedShort(int val)` Converts an int value into a string.

Method Detail

### parseString

    public java.lang.String parseString(java.lang.String lexicalXSDString)

  Convert the string argument into a string.

  Parameters:
    `lexicalXSDString` - A lexical representation of the XML Schema datatype xsd:string
  Returns:
    A string that is the same as the input string.

### parseInteger

    public java.math.BigInteger parseInteger(java.lang.String lexicalXSDInteger)

  Convert the string argument into a BigInteger value.

  Parameters:
    `lexicalXSDInteger` - A string containing a lexical representation of xsd:integer.
  Returns:
    A BigInteger value represented by the string argument.

### parseInt

    public int parseInt(java.lang.String lexicalXSDInt)

  Convert the string argument into an int value.

  Parameters:
    `lexicalXSDInt` - A string containing a lexical representation of xsd:int.
  Returns:
    An int value represented byte the string argument.

### parseLong

    public long parseLong(java.lang.String lexicalXSLong)

  Converts the string argument into a long value.

  Returns:
    A long value represented by the string argument.

### parseShort

    public short parseShort(java.lang.String lexicalXSDShort)

  Converts the string argument into a short value.

  Parameters:
    `lexicalXSDShort` - A string containing lexical representation of xsd:short.
  Returns:
    A short value represented by the string argument.

### parseDecimal

    public java.math.BigDecimal parseDecimal(java.lang.String lexicalXSDDecimal)

  Converts the string argument into a BigDecimal value.

  Parameters:
    `lexicalXSDDecimal` - A string containing lexical representation of xsd:decimal.
  Returns:
    A BigDecimal value represented by the string argument.

### parseFloat

    public float parseFloat(java.lang.String lexicalXSDFloat)

  Converts the string argument into a float value.

  Parameters:
    `lexicalXSDFloat` - A string containing lexical representation of xsd:float.
  Returns:
    A float value represented by the string argument.

### parseDouble

    public double parseDouble(java.lang.String lexicalXSDDouble)

  Converts the string argument into a double value.

  Parameters:
    `lexicalXSDDouble` - A string containing lexical representation of xsd:double.
  Returns:
    A double value represented by the string argument.

### parseBoolean

    public boolean parseBoolean(java.lang.String lexicalXSDBoolean)

  Converts the string argument into a boolean value.

  Parameters:
    `lexicalXSDBoolean` - A string containing lexical representation of xsd:boolean.
  Returns:
    A boolean value represented by the string argument.

### parseByte

    public byte parseByte(java.lang.String lexicalXSDByte)

  Converts the string argument into a byte value.

  Parameters:
    `lexicalXSDByte` - A string containing lexical representation of xsd:byte.
  Returns:
    A byte value represented by the string argument.

### parseQName

    public QName parseQName(java.lang.String lexicalXSDQName,
                            NamespaceContext nsc)

  Converts the string argument into a QName value.

  Parameters:
    `lexicalXSDQName` - A string containing lexical representation of xsd:QName.
    `nsc` - A namespace context for interpreting a prefix within a QName.
  Returns:
    A QName value represented by the string argument.

### parseDateTime

    public java.util.Calendar parseDateTime(java.lang.String lexicalXSDDateTime)

  Converts the string argument into a Calendar value.

  Parameters:
    `lexicalXSDDateTime` - A string containing lexical representation of xsd:datetime.
  Returns:
    A Calendar object represented by the string argument.

### parseBase64Binary

    public byte[] parseBase64Binary(java.lang.String lexicalXSDBase64Binary)

  Converts the string argument into an array of bytes.

  Parameters:
    `lexicalXSDBase64Binary` - A string containing lexical representation of xsd:base64Binary.
  Returns:
    An array of bytes represented by the string argument.

### parseHexBinary

    public byte[] parseHexBinary(java.lang.String lexicalXSDHexBinary)

  Converts the string argument into an array of bytes.

  Parameters:
    `lexicalXSDHexBinary` - A string containing lexical representation of xsd:hexBinary.
  Returns:
    An array of bytes represented by the string argument.

### parseUnsignedInt

    public long parseUnsignedInt(java.lang.String lexicalXSDUnsignedInt)

  Converts the string argument into a long value.

  Parameters:
    `lexicalXSDUnsignedInt` - A string containing lexical representation of xsd:unsignedInt.
  Returns:
    A long value represented by the string argument.

### parseUnsignedShort

    public int parseUnsignedShort(java.lang.String lexicalXSDUnsignedShort)

  Converts the string argument into an int value.

  Parameters:
    `lexicalXSDUnsignedShort` - -A string containing lexical representation of xsd:unsignedShort.
  Returns:
    An int value represented by the string argument.

### parseTime

    public java.util.Calendar parseTime(java.lang.String lexicalXSDTime)

  Converts the string argument into a Calendar value.

  Parameters:
    `lexicalXSDTime` - A string containing lexical representation of xsd:time.
  Returns:
    A Calendar value represented by the string argument.

### parseDate

    public java.util.Calendar parseDate(java.lang.String lexicalXSDDate)

  Converts the string argument into a Calendar value.

  Parameters:
    `lexicalXSDDate` - A string containing lexical representation of xsd:Date.
  Returns:
    A Calendar value represented by the string argument.

### parseAnySimpleType

    public java.lang.String parseAnySimpleType(java.lang.String lexicalXSDAnySimpleType)

  Return a string containing the lexical representation of the simple type.

  Parameters:
    `lexicalXSDAnySimpleType` - A string containing lexical representation of the simple type.
  Returns:
    A string containing the lexical representation of the simple type.

### printString

    public java.lang.String printString(java.lang.String val)

  Converts the string argument into a string.

  Parameters:
    `val` - A string value.
  Returns:
    A string containing a lexical representation of xsd:string

### printInteger

    public java.lang.String printInteger(java.math.BigInteger val)

  Converts a BigInteger value into a string.

  Parameters:
    `val` - A BigInteger value
  Returns:
    A string containing a lexical representation of xsd:integer

### printInt

    public java.lang.String printInt(int val)

  Converts an int value into a string.

  Parameters:
    `val` - An int value
  Returns:
    A string containing a lexical representation of xsd:int

### printLong

    public java.lang.String printLong(long val)

  Converts a long value into a string.

  Parameters:
    `val` - A long value
  Returns:
    A string containing a lexical representation of xsd:long

### printShort

    public java.lang.String printShort(short val)

  Converts a short value into a string.

  Parameters:
    `val` - A short value
  Returns:
    A string containing a lexical representation of xsd:short

### printDecimal

    public java.lang.String printDecimal(java.math.BigDecimal val)

  Converts a BigDecimal value into a string.

  Parameters:
    `val` - A BigDecimal value
  Returns:
    A string containing a lexical representation of xsd:decimal

### printFloat

    public java.lang.String printFloat(float val)

  Converts a float value into a string.

  Parameters:
    `val` - A float value
  Returns:
    A string containing a lexical representation of xsd:float

### printDouble

    public java.lang.String printDouble(double val)

  Converts a double value into a string.

  Parameters:
    `val` - A double value
  Returns:
    A string containing a lexical representation of xsd:double

### printBoolean

    public java.lang.String printBoolean(boolean val)

  Converts a boolean value into a string.

  Parameters:
    `val` - A boolean value
  Returns:
    A string containing a lexical representation of xsd:boolean

### printByte

    public java.lang.String printByte(byte val)

  Converts a byte value into a string.

  Parameters:
    `val` - A byte value
  Returns:
    A string containing a lexical representation of xsd:byte

### printQName

    public java.lang.String printQName(QName val,
                                       NamespaceContext nsc)

  Converts a QName instance into a string.

  Parameters:
    `val` - A QName value
    `nsc` - A namespace context for interpreting a prefix within a QName.
  Returns:
    A string containing a lexical representation of QName

### printDateTime

    public java.lang.String printDateTime(java.util.Calendar val)

  Converts a Calendar value into a string.

  Parameters:
    `val` - A Calendar value
  Returns:
    A string containing a lexical representation of xsd:dateTime

### printBase64Binary

    public java.lang.String printBase64Binary(byte[] val)

  Converts an array of bytes into a string.

  Parameters:
    `val` - an array of bytes
  Returns:
    A string containing a lexical representation of xsd:base64Binary

### printHexBinary

    public java.lang.String printHexBinary(byte[] val)

  Converts an array of bytes into a string.

  Parameters:
    `val` - an array of bytes
  Returns:
    A string containing a lexical representation of xsd:hexBinary

### printUnsignedInt

    public java.lang.String printUnsignedInt(long val)

  Converts a long value into a string.

  Parameters:
    `val` - A long value
  Returns:
    A string containing a lexical representation of xsd:unsignedInt

### printUnsignedShort

    public java.lang.String printUnsignedShort(int val)

  Converts an int value into a string.

  Parameters:
    `val` - An int value
  Returns:
    A string containing a lexical representation of xsd:unsignedShort

### printTime

    public java.lang.String printTime(java.util.Calendar val)

  Converts a Calendar value into a string.

  Parameters:
    `val` - A Calendar value
  Returns:
    A string containing a lexical representation of xsd:time

### printDate

    public java.lang.String printDate(java.util.Calendar val)

  Converts a Calendar value into a string.

  Parameters:
    `val` - A Calendar value
  Returns:
    A string containing a lexical representation of xsd:date

### printAnySimpleType

    public java.lang.String printAnySimpleType(java.lang.String val)

  Converts a string value into a string.

  Parameters:
    `val` - A string value
  Returns:
    A string containing a lexical representation of xsd:AnySimpleType

Overview | Package | Class | Tree | Deprecated | Index | Help
| JAXB v1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Comments to: jaxb-spec-comments@sun.com
More information at: http://java.sun.com/xml/jaxb

Copyright © 2001 by Sun Microsystems, Inc., 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.